<?php
include_once('class.phpmailer.php');
if($_POST) {
	
	//check if its an ajax request, exit if not
	if(!isset($_SERVER['HTTP_X_REQUESTED_WITH']) AND strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest') {
		die(json_encode(array('type'=>'error', 'text' => 'Request must come from Ajax')));
	} 
	
	//check $_POST vars are set, exit if any missing
	if(!isset($_POST["cnt_fname"]) || !isset($_POST["cnt_lname"]) || !isset($_POST["cnt_email"]) || !isset($_POST["cnt_phone"]) || !isset($_POST["cnt_message"])) {
		die(json_encode(array('type'=>'error', 'text' => 'Input fields are empty!')));
	}

	//Sanitize input data using PHP filter_var().
	$cnt_fname = filter_var($_POST["cnt_fname"], FILTER_SANITIZE_STRING);
 	$cnt_lname = filter_var($_POST["cnt_lname"], FILTER_SANITIZE_STRING);	
	$cnt_email = filter_var($_POST["cnt_email"], FILTER_SANITIZE_EMAIL);
    $cnt_phone = filter_var($_POST["cnt_phone"], FILTER_SANITIZE_STRING);
	$cnt_message = filter_var($_POST["cnt_message"], FILTER_SANITIZE_STRING);
	
	if(!filter_var($cnt_email, FILTER_VALIDATE_EMAIL)) {
		die(json_encode(array('type'=>'error', 'text' => 'Please enter a valid email!')));
	}  
  
	$mail = new PHPMailer();

	$body = "<div style='margin:0;padding:0;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif'>
	    <table style='font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;max-width:600px;background-color:#ffffff;color:#666666;text-align:left;padding:0px 2% 10px 2%;background:url(../images/email/mailer-bg.jpg) repeat #f9f9f9' align='center' border='0' cellpadding='0' cellspacing='0' width='100%'>
	        <tbody>
	            <tr>
	                <td height='20'></td>
	            </tr>
	            <tr>
	                <td height='43' valign='top'>
	                    <table style='max-width:530px' align='center' border='0' cellpadding='0' cellspacing='0' width='100%'>
	                        <tbody>
	                            <tr>
	                                <td align='center' height='43'><a href='#'><img src='../images/email/logo.jpg' alt='Med Food' style='margin:0;display:block;font-family:Arial,Helvetica,sans-serif;color:#007ebe;font-size:20px;text-align:center;font-weight:bold;height:45px;' border='0'></a></td>
	                            </tr>
	                        </tbody>
	                    </table>
	                </td>
	            </tr>
	            <tr>
	                <td height='10'></td>
	            </tr>
	            <tr>
	                <td>
	                    <table style='max-width:530px;width:100%!important;background:#ffffff;border:1px solid #e3e3e3;border-radius:3px' align='center' border='0' cellpadding='0' cellspacing='0' width='100%'>
	                        <tbody>
	                            <tr>
	                                <td height='20'></td>
	                            </tr>
	                            <tr>
	                                <td style='font-size:25px;color:#333333;padding:10px 20px 0px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif' align='center'>Contact Form</td>
	                            </tr>
	                            <tr>
	                                <td height='10'></td>
	                            </tr>
	                            <tr>
	                                <td align='center'>
	                                    <table align='center' bgcolor='#691940' border='0' cellpadding='0' cellspacing='0' width='140'>
	                                        <tbody>
	                                            <tr>
	                                                <td style='font-size:1px;line-height:1px' height='2'></td>
	                                            </tr>
	                                        </tbody>
	                                    </table>
	                                </td>
	                            </tr>
	                            <tr>
	                                <td height='35'></td>
	                            </tr>
	                            <tr>
	                                <td>
	                                    <table style='padding:0px 20px;text-align:left' align='center' border='0' cellpadding='0' cellspacing='0' width='100%'>
	                                        <tbody>
	                                            <tr>
	                                                <td style='font-size:20px;color:#444444;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif'>Dear Admin,</td>
	                                            </tr>
	                                            <tr>
	                                                <td height='10'></td>
	                                            </tr>
	                                            <tr>
	                                                <td style='font-size:12px;color:#444444;line-height:19px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif'>Name: ".$cnt_fname." ".$cnt_lname."</td>
	                                            </tr>
	                                            <tr>
	                                                <td height='10'></td>
	                                            </tr>
	                                            <tr>
	                                                <td style='font-size:12px;color:#444444;line-height:19px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif'>Email: ".$cnt_email."</td>
	                                            </tr>
	                                            <tr>
	                                                <td height='10'></td>
	                                            </tr>
	                                            <tr>
	                                                <td style='font-size:12px;color:#444444;line-height:19px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif'>Phone: ".$cnt_phone."</td>
	                                            </tr>
	                                            <tr>
	                                                <td height='10'></td>
	                                            </tr>
	                                            <tr>
	                                                <td style='font-size:12px;color:#444444;line-height:19px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif'>Message: ".$cnt_message."</td>
	                                            </tr>
	                                            <tr>
	                                                <td height='20'></td>
	                                            </tr>
	                                        </tbody>
	                                    </table>
	                                </td>
	                            </tr>
	                            <tr>
	                                <td style='font-size:12px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;color:#444444;line-height:normal;padding:0px 20px;text-align:left'> Thank you,<br>
	                                    <strong style='font-size:12px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;color:#444444;line-height:normal'>".$cnt_fname." ".$cnt_lname."</strong>
	                                </td>
	                            </tr>
	                            <tr>
	                                <td height='20'></td>
	                            </tr>
	                        </tbody>
	                    </table>
	                </td>
	            </tr>
	            <tr>
	                <td height='20'></td>
	            </tr>
	            <tr>
	                <td style='font-size:11px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;color:#444444' align='center'>
	                    <p style='margin:0;padding:3px 0 0px;font-size:11px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;line-height:13px'>You are receiving this mail from Med Food</p>
	                    <p style='margin:0;padding:3px 0;font-size:11px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;line-height:13px'>For any assistance, visit our <a href='http://www.medfoodqatar.com' style='font-size:11px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;color:#007ebc;text-decoration:none' target='_blank'>Help center</a> or write to us at <a href='mailto:info@medfoodqatar.com' style='font-size:11px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;color:#008bcf;text-decoration:none' target='_blank'>info@medfoodqatar.com</a></p>
	                </td>
	            </tr>
	            <tr>
	                <td style='font-size:11px;font-family:Open Sans,Gill Sans,Arial,Helvetica,sans-serif;color:#008bcf;line-height:13px' align='center'> © <a href='http://www.medfoodqatar.com' target='_blank'>www.medfoodqatar.com</a></td>
	            </tr>
	        </tbody>
	    </table>
	</div>";

	$mail->IsSMTP();
	$mail->SMTPAuth = true;
	$mail->Host     = "mail.medfoodqatar.com";
	$mail->Username = "no-reply@medfoodqatar.com";
	$mail->Password = "MedFood@123"; 
		  
	$mail->SetFrom("no-reply@medfoodqatar.com", "Med Food");
	$mail->AddReplyTo($cnt_email, $cnt_fname);
	$mail->Subject = "Med Food Contact Form";
	$mail->AltBody = "To view the message, please use an HTML compatible email viewer!";  
	$mail->MsgHTML($body); 
	$mail->AddAddress("maraya@maraya-pr.com", "Med Food");  
	$mail->headers = 'From: '.$cnt_fname. "\r\n" .
	'Reply-To: '.$cnt_email.'' . "\r\n" .
	'X-Mailer: PHP/' . phpversion();
	
	if(!$mail->Send()) {
		die(json_encode(array('type'=>'error', 'text' => 'Could not send mail! Please forward mail to maraya@maraya-pr.com')));
	} else {
		die(json_encode(array("type"=>"success", "text" => "Hi " .$cnt_fname . ", Thanks for writing to us, we will get back to you shortly.")));
	}
}	
?>